"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsObjectId = void 0;
const class_validator_1 = require("class-validator");
const mongoose_1 = require("mongoose");
function IsObjectId(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            name: 'isObjectId',
            target: object.constructor,
            propertyName,
            options: validationOptions,
            validator: {
                validate(value, args) {
                    return mongoose_1.Types.ObjectId.isValid(value);
                },
            },
        });
    };
}
exports.IsObjectId = IsObjectId;
//# sourceMappingURL=index.js.map